# Address Types

Address Types

 - [GET /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/listaddresstypes.md): This method will scan all address types and and return them to the caller.
 - [POST /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/createaddresstype.md): This method will auto-generate an ID and create a new address type. If an ID is specified for the address type, an error will be thrown.
 - [POST /addressTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/deleteaddresstype.md): This method will delete a address type with the specified ID.
 - [GET /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/getaddresstype.md): This method will look up a address type by the specified ID and return it back.
 - [PATCH /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/patchaddresstype.md): This method will patch an existing address type with the specified ID, using the HTTP PATCH specification.
 - [PUT /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/updateaddresstype.md): This method will update an existing address type with the specified ID.
